### Struct

# Qmi MessageUimSendApduInput

since: 1.36

#### Description [src]

    struct QmiMessageUimSendApduInput {
      /* No available fields */
    }

The `QmiMessageUimSendApduInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.36

#### Constructors

###### qmi_message_uim_send_apdu_input_new

Allocates a new `QmiMessageUimSendApduInput`.

since: 1.36

#### Instance methods

###### qmi_message_uim_send_apdu_input_get_apdu

Get the ‘APDU’ field from `self`.

since: 1.36

###### qmi_message_uim_send_apdu_input_get_channel_id

Get the ‘Channel ID’ field from `self`.

since: 1.36

###### qmi_message_uim_send_apdu_input_get_procedure_bytes

Get the ‘Procedure bytes’ field from `self`.

since: 1.36

###### qmi_message_uim_send_apdu_input_get_slot

Get the ‘Slot’ field from `self`.

since: 1.36

###### qmi_message_uim_send_apdu_input_ref

Atomically increments the reference count of `self` by one.

since: 1.36

###### qmi_message_uim_send_apdu_input_set_apdu

Set the ‘APDU’ field in the message.

since: 1.36

###### qmi_message_uim_send_apdu_input_set_channel_id

Set the ‘Channel ID’ field in the message.

since: 1.36

###### qmi_message_uim_send_apdu_input_set_procedure_bytes

Set the ‘Procedure bytes’ field in the message.

since: 1.36

###### qmi_message_uim_send_apdu_input_set_slot

Set the ‘Slot’ field in the message.

since: 1.36

###### qmi_message_uim_send_apdu_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.36